Bug 9289 - Adjacent checkbox behavior broken on circulation.pl
Summary: Adjacent checkbox behavior broken on circulation.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-14 17:41 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9289 - Adjacent checkbox behavior broken on circulation.pl (1.56 KB, patch)
2012-12-14 17:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9289 - Adjacent checkbox behavior broken on circulation.pl (1.58 KB, patch)
2012-12-21 17:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9289 - Adjacent checkbox behavior broken on circulation.pl (1.58 KB, patch)
2012-12-26 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-12-14 17:41:50 UTC
In the table of checkouts on the circulation page you're not supposed to be able to check a box in both the renew and check-in column in the same row. The JavaScript which manages this works if you check the box itself, but there is also JavaScript which lets the user click anywhere in that cell to check the checkbox. If you do it this way the adjacent checkboxes are not prevented from both being checked.
Comment 1 Owen Leonard 2012-12-14 17:49:10 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2012-12-21 17:01:42 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-12-26 10:47:48 UTC
QA Comments:

Trivial patch, works as expected.

Marked as Passed QA.
Comment 4 Jonathan Druart 2012-12-26 10:48:22 UTC
Created attachment 14261 [details] [review]
Bug 9289 - Adjacent checkbox behavior broken on circulation.pl

This patch fixes the behavior of adjacent checkboxes in the list of
checkouts on circulation.pl. Checkboxes in both the "renew" and "check
in" columns should not be able to be checked at the same time.

A line was commented out (by me) which was necessary to this working
correctly. I'm guessing it was done in debugging and left by mistake.

To test, load a patron for checkout who has items checked out. You
should not be able to check boxes in both the "renew" and "check in"
columns in the same row, whether you click the checkbox itself or the
containing table cell.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2012-12-27 23:33:50 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-01-01 18:12:56 UTC
Pushed to 3.10.x will be in 3.10.2